FIXINCLUDES(1)

NAME
fixincludes - Reduziert die Anzahl der #includes in den Quelltexten von KDE.

SYNOPSIS

fixincludes [-v, --verbose] [-e, --experimental] [-m, --modify] [file] [--help]

BESCHREIBUNG

fixincludes versucht die Anzahl der #include-Anweisungen in den C++-Quelltexten zu verringern. Die Verarbeitung ist auf KDE-Quelltexte zugeschnitten, so dass dieses Skript mit den Quelltexten anderer Anwendungen nicht so gut funktioniert.

Die folgenden Probleme werden von fixincludes erkannt:

•   Eingebundene Header, die nicht mehr unterstützt werden, aber aus Kompatibilitätsgründen zu älteren Versionen von Qt oder KDE noch vorhanden sind.

•   Das mehrfache Einbinden der selben Datei.

Es steht auch ein experimenteller Modus zur Verfügung, der durch das probeweise Entfernen von #include-Anweisungen (mit einigen Ausnahmen) festzustellen versucht, ob der Quellcode noch übersetzbar ist. Beachten Sie, dass dieser Modus die Quelltexte ändert.

In der Voreinstellung werden die Quelltext nicht geändert, die festgestellten Probleme werden nur auf die Standardausgabe ausgegeben.

Die Liste der zu untersuchenden C++-Quelltext sollte auf der Befehlszeile übergeben werden. Fehlt diese Angabe, werden alle C++-Quelltext innerhalb des aktuellen Verzeichnisses und dessen Unterordnern untersucht. (Hierbei gilt eine Ausnahme für Verzeichnisse, deren Makefile.am die Optionen -UQT_NO_COMPAT oder -UKDE_NO_COMPAT enthält.

Dieses Hilfsprogramm ist Teil der KDE Software-Entwicklungswerkzeuge.

OPTIONEN

-v, --verbose
    Ausführlichere Modus. Zusätzliche Informationen werden auf der Standardausgabe ausgegeben.

-e, --experimental
    Experimenteller Modus, wie bereits beschrieben. Beachten Sie, dass dieser Modus die Option --modify beinhaltet.

-m, --modify
    Neben der Ausgabe der Meldungen auf die Standardausgabe, werden die festgestellten Probleme in den Quelltexten behoben.

AUTOREN

fixincludes wurde von Dirk Mueller <mueller@kde.org> geschrieben.

AUTHOR
Ben Burton.